- All Superinterfaces:
Prototype.Api
- All Known Implementing Classes:
MethodParams.BuilderBase.MethodParamsImpl
Interface generated from blueprint
io.helidon.data.codegen.common.MethodParamsBlueprint. Please add javadoc to blueprint, as it is currently missing.- See Also:
-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic classFluent API builder forMethodParams.static classMethodParams.BuilderBase<BUILDER extends MethodParams.BuilderBase<BUILDER,PROTOTYPE>, PROTOTYPE extends MethodParams> Fluent API builder base forMethodParams. -
Method Summary
Modifier and TypeMethodDescriptionstatic MethodParams.Builderbuilder()Create a new fluent API builder to customize configuration.static MethodParams.Builderbuilder(MethodParams instance) Create a new fluent API builder from an existing instance.static MethodParamscreate()Create a new instance with default values.default booleandynamic()Whether existing method parameters trigger dynamic query to be generated.BuildsSetof query dynamic parts based on the method parameters.order()Query result ordering parameter.Pageable query result parameter.List of common method parameters to be added to method prototype.
-
Method Details
-
builder
Create a new fluent API builder to customize configuration.- Returns:
- a new builder
-
builder
Create a new fluent API builder from an existing instance.- Parameters:
instance- an existing instance used as a base for the builder- Returns:
- a builder based on an instance
-
create
Create a new instance with default values.- Returns:
- a new instance
-
dynamic
default boolean dynamic()Whether existing method parameters trigger dynamic query to be generated. Builds newStringfrom stored property name elements.- Returns:
- the method parameters
-
dynamicParts
BuildsSetof query dynamic parts based on the method parameters.- Returns:
- new immutable
Setof query dynamic parts
-
order
Optional<TypedElementInfo> order()Query result ordering parameter.- Returns:
- the ordering parameter info
-
pageRequest
Optional<TypedElementInfo> pageRequest()Pageable query result parameter.- Returns:
- the page request parameter info
-
parameters
List<TypedElementInfo> parameters()List of common method parameters to be added to method prototype.- Returns:
- the common method parameters
-